Package org.eclipse.graphiti.ui.internal.action

# Class FeatureExecutionHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.graphiti.ui.internal.action.FeatureExecutionHandler

All Implemented Interfaces:
  `org.eclipse.core.commands.IHandler`, `org.eclipse.core.commands.IHandler2`

public class FeatureExecutionHandler extends org.eclipse.core.commands.AbstractHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMAND_ID`

## Constructor Summary

Constructors
Constructor
Description
`FeatureExecutionHandler(IConfigurationProvider configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(org.eclipse.core.commands.ExecutionEvent event)`
`protected void`
`executeOnCommandStack(ICommand command)`
`protected IConfigurationProvider`
`getConfigurationProvider()`
`protected PictogramElement[]`
`getSelectedPictogramElements(org.eclipse.core.commands.ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Field Details

### COMMAND_ID

public static final String COMMAND_ID

See Also:
  - Constant Field Values

## Constructor Details

### FeatureExecutionHandler

public FeatureExecutionHandler(IConfigurationProvider configurationProvider)

## Method Details

### getSelectedPictogramElements

protected PictogramElement[] getSelectedPictogramElements(org.eclipse.core.commands.ExecutionEvent event)

### execute

public Object execute(org.eclipse.core.commands.ExecutionEvent event) throws org.eclipse.core.commands.ExecutionException

Throws:
  `org.eclipse.core.commands.ExecutionException`

### getConfigurationProvider

protected IConfigurationProvider getConfigurationProvider()

### executeOnCommandStack

protected void executeOnCommandStack(ICommand command)